> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer Funds

> Transfer funds to an employee or contractor's card, optionally connected to an employee check or contractor payment.



## OpenAPI

````yaml openapi/zeal-api.json post /wallet/transfer
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /wallet/transfer:
    post:
      summary: Transfer Funds
      operationId: card-ptc-transfer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - amount
              properties:
                companyID:
                  type: string
                  description: ID of company
                employeeID:
                  type: string
                  description: Zeal employee ID
                contractorID:
                  type: string
                  description: Zeal contractor ID
                amount:
                  type: number
                  description: The total amount (gross) to transfer to this worker's card
                  format: float
                connection:
                  type: object
                  description: >-
                    Connect this transfer to an employee check or contractor
                    payment in Zeal
                  properties:
                    connection_type:
                      type: string
                      enum:
                        - employee_check
                        - contractor_payment
                    connectionID:
                      type: string
                      description: >-
                        Employee Check ID or Contractor Payment ID, depending on
                        `connection_type`
                cardID:
                  type: string
                bankAccountID:
                  type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      walletTransactionID: d21a3b12e051f60cfb014b1d
                      type: debit
                      companyID: bf015b00e052f60cfb0e4a0d
                      employeeID: d210f054bf5b006f50aecbe0
                      contractorID: null
                      bankAccountID: null
                      cardID: 10c313104851406408f4130be0540451
                      status: settled
                      description: Instant transfer
                      gross_amount: 102
                      partner_fee: 1
                      zeal_fee: 1
                      net_amount: 100
                      last_four: '0432'
                      date: '2025-08-02T23:00:00.000Z'
                    testMode: false
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties: {}
                    description: Wallet Transaction Object
                  testMode:
                    type: boolean
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````